Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.vecmath
Class Vector3d

    java.lang.Object
      javax.vecmath.Tuple3d
          javax.vecmath.Vector3d

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  TVector3d, Vector3d

    public class Vector3d

extends Tuple3d
implements java.io.Serializable

A 3 element vector that is represented by double precision floating point x,y,z coordinates. If this value represents a normal, then it should be normalized.

Author:
  Kenji hiranabe
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.vecmath.Tuple3d
`x, y, z`

Constructor Summary
`Vector3d()` Constructs and initializes a Vector3d to (0,0,0).
`Vector3d(double[] v)` Constructs and initializes a Vector3d from the specified array of length 3.
`Vector3d(double x, double y, double z)` Constructs and initializes a Vector3d from the specified xyz coordinates.
`Vector3d(Tuple3d t1)` Constructs and initializes a Vector3d from the specified Tuple3d.
`Vector3d(Tuple3f t1)` Constructs and initializes a Vector3d from the specified Tuple3f.
`Vector3d(Vector3d v1)` Constructs and initializes a Vector3d from the specified Vector3d.
`Vector3d(Vector3f v1)` Constructs and initializes a Vector3d from the specified Vector3f.

Method Summary
`double` | `angle(Vector3d v1)` Returns the angle in radians between this vector and the vector parameter; the return value is constrained to the range [0,PI].
`java.lang.Object` | `clone()`
`void` | `cross(Vector3d v1, Vector3d v2)` Sets this vector to be the vector cross product of vectors v1 and v2.
`double` | `dot(Vector3d v1)` Computes the dot product of the this vector and vector v1.
`double` | `length()` Returns the length of this vector.
`double` | `lengthSquared()` Returns the squared length of this vector.
`void` | `normalize()` Normalizes this vector in place.
`void` | `normalize(Vector3d v1)` Sets the value of this vector to the normalization of vector v1.

Methods inherited from class javax.vecmath.Tuple3d
`absolute, absolute, add, add, clamp, clamp, clampMax, clampMax, clampMin, clampMin, epsilonEquals, equals, equals, get, get, hashCode, interpolate, interpolate, max, min, negate, negate, scale, scale, scaleAdd, scaleAdd, set, set, set, set, sub, sub, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Vector3d

    public Vector3d()

  Constructs and initializes a Vector3d to (0,0,0).

### Vector3d

    public Vector3d(double[] v)

  Constructs and initializes a Vector3d from the specified array of length 3.

  Parameters:
    `v` - the array of length 3 containing xyz in order

### Vector3d

    public Vector3d(double x,
                    double y,
                    double z)

  Constructs and initializes a Vector3d from the specified xyz coordinates.

  Parameters:
    `x` - the x coordinate
    `y` - the y coordinate
    `z` - the z coordinate

### Vector3d

    public Vector3d(Tuple3d t1)

  Constructs and initializes a Vector3d from the specified Tuple3d.

  Parameters:
    `t1` - the Tuple3d containing the initialization x y z data

### Vector3d

    public Vector3d(Tuple3f t1)

  Constructs and initializes a Vector3d from the specified Tuple3f.

  Parameters:
    `t1` - the Tuple3f containing the initialization x y z data

### Vector3d

    public Vector3d(Vector3d v1)

  Constructs and initializes a Vector3d from the specified Vector3d.

  Parameters:
    `v1` - the Vector3d containing the initialization x y z data

### Vector3d

    public Vector3d(Vector3f v1)

  Constructs and initializes a Vector3d from the specified Vector3f.

  Parameters:
    `v1` - the Vector3d containing the initialization x y z data

Method Detail

### angle

    public final double angle(Vector3d v1)

  Returns the angle in radians between this vector and the vector parameter; the return value is constrained to the range [0,PI].

  Parameters:
    `v1` - the other vector
  Returns:
    the angle in radians in the range [0,PI]

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Tuple3d`

### cross

    public final void cross(Vector3d v1,
                            Vector3d v2)

  Sets this vector to be the vector cross product of vectors v1 and v2.

  Parameters:
    `v1` - the first vector
    `v2` - the second vector

### dot

    public final double dot(Vector3d v1)

  Computes the dot product of the this vector and vector v1.

  Parameters:
    `v1` - the other vector

### length

    public final double length()

  Returns the length of this vector.

  Returns:
    the length of this vector

### lengthSquared

    public final double lengthSquared()

  Returns the squared length of this vector.

  Returns:
    the squared length of this vector

### normalize

    public final void normalize()

  Normalizes this vector in place.

### normalize

    public final void normalize(Vector3d v1)

  Sets the value of this vector to the normalization of vector v1.

  Parameters:
    `v1` - the un-normalized vector

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD